function [duracion_prom, duracion_std] = calcular_fwhm(signal)
latidos = enventana_QRS(signal,70,70);

try
    for i = 1:size(latidos,1)
        lat = latidos(i,:);
        duracion(i) = fwhm(lat,1);
    end

    duracion2 = duracion;
    idx = find(isnan(duracion));
    duracion2(idx) = [];

    duracion_prom = mean(duracion2);
    duracion_std = std(duracion2);
    
catch
    duracion_prom = NaN;
    duracion_std = NaN;
end


end
