function [ DFs ] = calcular_DF_QRScancelado( ecg )


%Iniciamos las variables
Fs=300;

frec_ini=2;  %Frecuencia de paso alto en el paso banda
frec_fin=20; %Frecuencia de paso bajo en el paso banda

%Se establecen los umbrales para la deteccin de armnicos
spam_armonico=0.25;
umbral_armonico=0.66;

% try [procesada] = cancelaQRS(ecg);
% catch
    procesada = ecg;
% end
wsignal = wavelet(ecg);
residual = ecg'-wsignal;
[~,pxxw] = calcular_DFS(residual);
[~,pxxcancelada] = calcular_DFS(procesada');
w = linspace(0,Fs/2,length(pxxw));

Pxxconv = pxxw.*pxxcancelada;

i_d=1;
            Pxx = Pxxconv(1,:);
            w=w(1,:);
            ind1=find(w > frec_ini );
            ind1=ind1(1);
            ind2=find(w < frec_fin );
            ind2=ind2(end);
            DFs(i_d)=find(Pxx(ind1:ind2)==max(Pxx(ind1:ind2)),1);
            DFs(i_d)=w(DFs(i_d)+ind1-1);
            valor_pico=max(Pxx(ind1:ind2));

            %%%%%% quitar armonicos
            ind3=find(w > DFs(i_d)/2 - spam_armonico);
            ind3=ind3(1);
            ind4=find(w < DFs(i_d)/2 + spam_armonico );
            ind4=ind4(end);
            armonico_base=max(Pxx(ind3:ind4));
            if armonico_base>umbral_armonico*valor_pico
                ind5=find(w > DFs(i_d) - spam_armonico);
                ind5=ind5(1);
                ind6=find(w < DFs(i_d) + spam_armonico);
                ind6=ind6(end);
                Pxxn=Pxx;
                Pxxn(ind5:ind6)=0;
                Pxxn(1:ind3)=0;
                Pxxn(ind4:ind1)=0;
                Pxxn(ind2:end)=0;
                DFs(i_d)=w(find(Pxxn==max(Pxxn),1));
            end

end

